package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;

import java.util.Date;
import java.util.List;

/**
 * 订单排队统计查询
 *
 * @author nianchang
 * @ClassName LineUpCountQuery
 * @date 2021/08/09 4:42 下午
 */
public class LineUpCountQuery {

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id列表
     */
    private List<Long> storeIdList;

    /**
     * 排队时间
     */
    private Date lineUpAt;

    public List<Long> getStoreIdList() {
        return storeIdList;
    }

    public void setStoreIdList(List<Long> storeIdList) {
        this.storeIdList = storeIdList;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Date getLineUpAt() {
        return lineUpAt;
    }

    public void setLineUpAt(Date lineUpAt) {
        this.lineUpAt = lineUpAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
